<template>
  <v-card :title="`Usuario: ${userName}`" height="100%" width="100%">
    <v-card-actions>
      <v-btn icon="mdi-exit-run" @click="closeSession()" />
    </v-card-actions>
  </v-card>
</template>

<script setup lang="ts">
import { backendCollector } from "../../../data/collectors/backendCollector";
import { router } from "../../../router";

const userName = backendCollector.server.username;

function closeSession() {
  backendCollector.server.username = "ninguno";
  backendCollector.client.saveToken({ username: "nada", token: "nada" });
  router.push("/loginForm").then(() => {
    window.location.reload();
  });
}
</script>
